# Google Data APIs Client Library (1.43.0)

## com.google.gdata.client
Class GoogleService.InvalidCredentialsException

    java.lang.Object
      java.lang.Throwable
          java.lang.Exception
              com.google.gdata.util.ServiceException
                  com.google.gdata.util.AuthenticationException
                      com.google.gdata.client.GoogleService.InvalidCredentialsException

All Implemented Interfaces:
  java.io.Serializable

Enclosing class:
  GoogleService

    public static class GoogleService.InvalidCredentialsException

extends AuthenticationException

Authentication failed, invalid credentials presented to server.

See Also:
  Serialized Form

Constructor Summary
`GoogleService.InvalidCredentialsException(java.lang.String message)`

Method Summary

Methods inherited from class com.google.gdata.util.AuthenticationException
`getAuthHeader, getParameters, getRealm, getScheme`

Methods inherited from class com.google.gdata.util.ServiceException

`addSibling, getCodeName, getDebugInfo, getDomainName, getExtendedHelp, getHttpErrorCodeOverride, getHttpHeader, getHttpHeaders, getInternalReason, getLocation, getLocationType, getMessage, getOAuthProxyResponse, getResponseBody, getResponseContentType, getSendReport, getSiblings, hasOAuthProxyResponse, initCause, matches, matchesAny, setCode, setDebugInfo, setDomain, setExtendedHelp, setHeaderLocation, setHttpErrorCodeOverride, setInternalReason, setLocation, setResponse, setResponseBody, setResponseContentType, setSendReport, setXpathLocation, toString, toXmlErrorMessage, toXmlErrorMessage`

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getCause, getLocalizedMessage, getStackTrace, printStackTrace, printStackTrace, printStackTrace, setStackTrace`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### GoogleService.InvalidCredentialsException

    public GoogleService.InvalidCredentialsException(java.lang.String message)